## org.w3c.dom.svg
Interface SVGMarkerElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGLangSpace, SVGStylable

All Known Implementing Classes:
  SVGOMMarkerElement

public interface SVGMarkerElement
extends SVGElement, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, SVGFitToViewBox

Field Summary
`static short` `SVG_MARKER_ORIENT_ANGLE`
`static short` `SVG_MARKER_ORIENT_AUTO`
`static short` `SVG_MARKER_ORIENT_UNKNOWN`
`static short` `SVG_MARKERUNITS_STROKEWIDTH`
`static short` `SVG_MARKERUNITS_UNKNOWN`
`static short` `SVG_MARKERUNITS_USERSPACEONUSE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedLength` `getMarkerHeight()`
`SVGAnimatedEnumeration` `getMarkerUnits()`
`SVGAnimatedLength` `getMarkerWidth()`
`SVGAnimatedAngle` `getOrientAngle()`
`SVGAnimatedEnumeration` `getOrientType()`
`SVGAnimatedLength` `getRefX()`
`SVGAnimatedLength` `getRefY()`
`void` `setOrientToAngle(SVGAngle angle)`
`void` `setOrientToAuto()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.svg.SVGFitToViewBox
`getPreserveAspectRatio, getViewBox`

Field Detail

### SVG_MARKERUNITS_UNKNOWN

    public static final short SVG_MARKERUNITS_UNKNOWN

See Also:
  Constant Field Values

### SVG_MARKERUNITS_USERSPACEONUSE

    public static final short SVG_MARKERUNITS_USERSPACEONUSE

See Also:
  Constant Field Values

### SVG_MARKERUNITS_STROKEWIDTH

    public static final short SVG_MARKERUNITS_STROKEWIDTH

See Also:
  Constant Field Values

### SVG_MARKER_ORIENT_UNKNOWN

    public static final short SVG_MARKER_ORIENT_UNKNOWN

See Also:
  Constant Field Values

### SVG_MARKER_ORIENT_AUTO

    public static final short SVG_MARKER_ORIENT_AUTO

See Also:
  Constant Field Values

### SVG_MARKER_ORIENT_ANGLE

    public static final short SVG_MARKER_ORIENT_ANGLE

See Also:
  Constant Field Values

Method Detail

### getRefX

    public SVGAnimatedLength getRefX()

### getRefY

    public SVGAnimatedLength getRefY()

### getMarkerUnits

    public SVGAnimatedEnumeration getMarkerUnits()

### getMarkerWidth

    public SVGAnimatedLength getMarkerWidth()

### getMarkerHeight

    public SVGAnimatedLength getMarkerHeight()

### getOrientType

    public SVGAnimatedEnumeration getOrientType()

### getOrientAngle

    public SVGAnimatedAngle getOrientAngle()

### setOrientToAuto

    public void setOrientToAuto()

### setOrientToAngle

    public void setOrientToAngle(SVGAngle angle)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.